Summary:   The Webalizer - A web server log file analysis thingie
Name:      webalizer
%define mVersion 2.00
%define lVersion 06
Version:   %{mVersion}.%{lVersion}
Release:   2
URL:       http://www.mrunix.net/webalizer/
Source:    ftp://ftp.mrunix.net/pub/webalizer/%{name}-%{mVersion}-%{lVersion}-src.tar.bz2

Patch0:    %{name}.conf.patch
Copyright: GPL
Group:     Networking/Utilities
BuildRoot: /tmp/%{name}-%{version}-root
#Icon:      webalizer.gif

%description
The Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser.  The results
are presented in both columnar and graphical format, which facilitates
interpretation.  Yearly, monthly, daily and hourly usage statistics are
presented, along with the ability to display usage by site, URL, referrer,
user agent (browser) and country (user agent and referrer are only
available if your web server produces combined log format files).

%prep
%setup -n %{name}-%{mVersion}-%{lVersion}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-gd --enable-dns
make LDFLAGS="-lttf -ljpeg"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/home/httpd/icons
install -d $RPM_BUILD_ROOT/home/httpd/html/usage
install -d $RPM_BUILD_ROOT/usr/man/man1
install -m644 sample.conf $RPM_BUILD_ROOT/etc/webalizer.conf
install -m755 webalizer $RPM_BUILD_ROOT/usr/bin
strip $RPM_BUILD_ROOT/usr/bin/webalizer
install -m644 webalizer.1 $RPM_BUILD_ROOT/usr/man/man1/webalizer.1
install -m644 webalizer.png $RPM_BUILD_ROOT/home/httpd/icons
#patch -p0 $RPM_BUILD_ROOT/etc/webalizer.conf < $RPM_SOURCE_DIR/webalizer.conf.patch

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README* country-codes.txt lang/*
%config /etc/webalizer.conf
%dir /home/httpd/html/usage
/usr/bin/webalizer
/usr/man/man1/webalizer.1
/home/httpd/icons/webalizer.png

%post
 if ! grep '/usr/bin/webalizer' /etc/crontab > /dev/null; then
  echo "" >> /etc/crontab
  echo "01 4 * * 0 root /usr/bin/webalizer" >> /etc/crontab
 fi


%postun
if [ $1 = 0 ]; then
	grep -v '/usr/bin/webalizer' /etc/crontab > /etc/crontab.new
	mv /etc/crontab.new /etc/crontab
fi

%changelog
* Thu Mar 16 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-06-2]
- rebuild against gd-1.8.1

* Mon Mar 13 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-06-1]

* Mon Mar 13 2000 Peter Hanecak <hanecak@megaloman.sk>
  [2.00-04-1]
- removed icon (it was GIF :)

* Mon Feb 21 2000 Peter Hanecak <hanecak@megaloman.sk>
  [1.30.05-1]

* Mon Sep 13 1999 Peter Hanecak <hanecak@megaloman.sk>
  [1.30.04-4]
  rebuild against gd-1.6.3 (now PNG images are used)

* Sun Aug 29 1999 Peter Hanecak <hanecak@megaloman.sk>
  [1.30.04-3]
  source changed to .bz2

* Fri Aug 27 1999 Henri Gomez <gomez@slib.fr>
  [1.30.04-2]
  crontab activated each Sunday at 4:01 AM (just before apache rotate its log)

* Thu Aug 26 1999 Henri Gomez <gomez@slib.fr>
  [1.30-04]
  Big rework of RPM (at least configure support)
  Adapted spec to RPM 3 naming conventions,
  Changed URL
  Added icon
  Corrected -lz
  Adapted /etc/webalizer.conf to Redhat 
  New directory usage in /home/httpd/html/usage
  Add month cron in /etc/crontab

* Fri Jan 08 1999 Simon Liddington <sjl96v@ecs.soton.ac.uk>
  [1.20-11]
  Installs manpage
  Config file installed as config

* Mon Jul 27 1998 Arne Coucheron <arneco@online.no>
  [1.20-07]

* Sun Jul 26 1998 Arne Coucheron <arneco@online.no>
  [1.12-10]

* Sun Jun 14 1998 Arne Coucheron <arneco@online.no>
  [1.12-09]

* Sun Jun 07 1998 Arne Coucheron <arneco@online.no>
  [1.12-08]

* Fri Jun 05 1998 Arne Coucheron <arneco@online.no>
  [1.00-05]

* Wed May 27 1998 Arne Coucheron <arneco@online.no>
  [1.00-04]
- using predefined %%{name} and %%{version} macros
- using %defattr macro in file list, this requires rpm 2.5 to build
- installing msfree.gif to /home/httpd/html/usage
- added -q parameter to %setup
- added CHANGES and TODO to %doc

* Fri May 08 1998 Arne Coucheron <arneco@online.no>
  [0.99.06-1]

* Sat Jan 31 1998 Arne Coucheron <arneco@online.no>
- First release
